# $Id: star.spec,v 1.14 2002/11/20 07:19:43 homyakov Exp $

%define major 1.5
%define minor a09

Name: star
Version: %major
Release: alt0.1%{minor}

Summary: Star is the fastest known implementation of a tar archiver
Summary(ru_RU.KOI8-R):    tar (POSIX)  
License: GPL
Group: Archiving/Backup
Url: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/%name.html
Source: ftp://ftp.fokus.gmd.de/pub/unix/star/alpha/%name-%major%minor.tar.bz2

%package rmt 
Summary: Schily SING version of the rmt
Summary(ru_RU.KOI8-R): rmt 
Group: Archiving/Backup
Conflicts: rmt

%description
Star saves many files together into a single tape or disk archive,
and can restore individual files from the archive. It includes a FIFO
for speed, a pattern matcher, multivolume support, the ability to archive
sparse files, automatic archive format detection, automatic byte order
recognition, automatic archive compression/decompression, remote archives
and special features that allow star to be used for full backups.
It also includes rmt', a truly portable version of the remote tape server
that supports remote operation between different OS and machine architectures
(hides even Linux oddities) and a portable mt' tape drive control program
that is able to use the remote tape interface.

%description -l ru_RU.KOI8-R
Star -     tar,  
 :
   -     FIFO
   -   
   -    
   -    (GNU, POSIX, old tar, pax, SUN tar)
   -    (POSIX tar  8Gb, POSIX.1-2001  )
   -     (-diff)
   -  POSIX ACL

%description rmt
This is enhanced Schily SING version of the rmt remote tape server program.
rmt is a program used by programs like star and ufsdump hat like to access 
remote magnetic tape drives and files through an interprocess communication 
connection.

%description -l ru_RU.KOI8-Rrmt
  rmt  Schily SING. rmt   
   star  ufsdump        
   .

%prep

%setup -q -n %name-%version

%build
%__subst '
s/\/etc\/default/\/etc\/rmt/
' rmt/rmt.c rmt/rmt.dfl

./Gmake.linux PARCH=%_arch

%install
%__install -m0755 -D %name/OBJ/%_arch-%_os-cc/%name %buildroot%_bindir/%name
%__install -m0644 -D %name/%name.1 %buildroot%_man1dir/%name.1

%__install -m0755 -D mt/OBJ/%_arch-%_os-cc/smt %buildroot%_bindir/smt
%__install -m0755 -D rmt/OBJ/%_arch-%_os-cc/rmt %buildroot%_bindir/rmt

%__install -m0644 -D rmt/rmt.1 %buildroot%_man1dir/rmt.1
%__install -m0600 -D rmt/rmt.dfl %buildroot%_sysconfdir/rmt/rmt

%__bzip2 -9 Changelog

%files
%_bindir/%name
%_bindir/smt
%_man1dir/%name.1.*
%doc README* COPYING STARvsGNUTAR AN-%major%minor Change*

%files rmt
%dir %_sysconfdir/rmt/
%_sysconfdir/rmt/rmt 
%_bindir/rmt
%_man1dir/rmt.1.*

%changelog		   
* Sat Nov 16 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a09
- 1.5a09
- russian translation for star-rmt
- 'mt' command is 'smt' now (renamed by author)
- 'smt' moved to star package
- spec cleanup

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a08
- 1.5a08
- build Shily's (r)mt utilies (star-rmt package)
 
* Wed Jul 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a05
- 1.5a05

* Mon Jun 24 2002 Igor Homyakov <homyakov at altlinux dot ru> 1.5-alt0.1a04
- 1.5a04

* Fri May 24 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt1
- 1.4 (stable) 

* Wed May 15 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt0.1a26
- 1.4a26

* Mon Apr 15 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt0.1a21
- build 1.4a21  
- spec cleanup  

* Tue Mar 05 2002 Igor Homyakov <homyakov@altlinux.ru> 1.4-alt0.1a18
- Build package for ALTLinux
- russian translation for spec file
